Bug 1441126 (CVE-2017-2801) - CVE-2017-2801 botan: Incorrect comparison in X.509 DN strings
Summary: CVE-2017-2801 botan: Incorrect comparison in X.509 DN strings
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2017-2801
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170404,repor...
Depends On: 1441128 1441129 1441130
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-11 09:34 UTC by Andrej Nemec
Modified: 2019-06-08 21:54 UTC (History)
2 users (show)

Fixed In Version: botan 1.10.16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 10:24:12 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-04-11 09:34:55 UTC
Botan’s implementation of X.509 name comparisons had a flaw which could result in an out of bound memory read while processing a specially formed DN. This could potentially be exploited for information disclosure or denial of service, or result in incorrect validation results.

References:

https://botan.randombit.net/security.html
https://botan.randombit.net/news.html#version-1-10-16-2017-04-04

Comment 1 Andrej Nemec 2017-04-11 09:35:50 UTC
Created botan tracking bugs for this issue:

Affects: epel-6 [bug 1441130]
Affects: epel-7 [bug 1441128]
Affects: fedora-all [bug 1441129]

Comment 2 Matthias Runge 2018-01-30 10:24:12 UTC
all versions updated and pushed. closing this here.


Note You need to log in before you can comment on or make changes to this bug.